Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.dom.element.draw
Class OdfEnhancedGeometryElement

    java.lang.Object
      org.apache.xerces.dom.NodeImpl
          org.apache.xerces.dom.ChildNode
              org.apache.xerces.dom.ParentNode
                  org.apache.xerces.dom.ElementImpl
                      org.apache.xerces.dom.ElementNSImpl
                          org.odftoolkit.odfdom.dom.element.OdfElement
                              org.odftoolkit.odfdom.dom.element.draw.OdfEnhancedGeometryElement

All Implemented Interfaces:
  Serializable, Cloneable, Element, EventTarget, Node, NodeList, TypeInfo

Direct Known Subclasses:
  OdfEnhancedGeometry

    public abstract class OdfEnhancedGeometryElement

extends OdfElement

DOM implementation of OpenDocument element draw:enhanced-geometry.

See Also:
  Serialized Form

Field Summary
`static OdfName` | `ELEMENT_NAME`

Fields inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`mOdfDocument`

Fields inherited from class org.apache.xerces.dom.ElementNSImpl
`localName, namespaceURI`

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`OdfEnhancedGeometryElement(OdfFileDom aOwnerDoc)` Create the instance of OdfEnhancedGeometryElement

Method Summary
`OdfEquationElement` | `createEquationElement()` Create child element draw:equation.
`OdfHandleElement` | `createHandleElement(String handlePosition)` Create child element draw:handle.
`OdfBoolean` | `getConcentricGradientFillAllowed()` Get value of attribute draw:concentric-gradient-fill-allowed.
`String` | `getEnhancedPath()` Get value of attribute draw:enhanced-path.
`OdfBoolean` | `getExtrusion()` Get value of attribute draw:extrusion.
`OdfBoolean` | `getExtrusionAllowed()` Get value of attribute draw:extrusion-allowed.
`OdfPercent` | `getExtrusionBrightness()` Get value of attribute draw:extrusion-brightness.
`OdfBoolean` | `getExtrusionColor()` Get value of attribute draw:extrusion-color.
`OdfLength` | `getExtrusionDepth()` Get value of attribute draw:extrusion-depth.
`OdfPercent` | `getExtrusionDiffusion()` Get value of attribute draw:extrusion-diffusion.
`String` | `getExtrusionFirstLightDirection()` Get value of attribute draw:extrusion-first-light-direction.
`OdfBoolean` | `getExtrusionFirstLightHarsh()` Get value of attribute draw:extrusion-first-light-harsh.
`OdfPercent` | `getExtrusionFirstLightLevel()` Get value of attribute draw:extrusion-first-light-level.
`OdfBoolean` | `getExtrusionLightFace()` Get value of attribute draw:extrusion-light-face.
`OdfBoolean` | `getExtrusionMetal()` Get value of attribute draw:extrusion-metal.
`Integer` | `getExtrusionNumberOfLineSegments()` Get value of attribute draw:extrusion-number-of-line-segments.
`Double` | `getExtrusionOrigin()` Get value of attribute draw:extrusion-origin.
`String` | `getExtrusionRotationAngle()` Get value of attribute draw:extrusion-rotation-angle.
`String` | `getExtrusionRotationCenter()` Get value of attribute draw:extrusion-rotation-center.
`String` | `getExtrusionSecondLightDirection()` Get value of attribute draw:extrusion-second-light-direction.
`OdfBoolean` | `getExtrusionSecondLightHarsh()` Get value of attribute draw:extrusion-second-light-harsh.
`OdfPercent` | `getExtrusionSecondLightLevel()` Get value of attribute draw:extrusion-second-light-level.
`OdfPercent` | `getExtrusionShininess()` Get value of attribute draw:extrusion-shininess.
`Double` | `getExtrusionSkew()` Get value of attribute draw:extrusion-skew.
`OdfPercent` | `getExtrusionSpecularity()` Get value of attribute draw:extrusion-specularity.
`String` | `getExtrusionViewpoint()` Get value of attribute draw:extrusion-viewpoint.
`String` | `getGluePointLeavingDirections()` Get value of attribute draw:glue-point-leaving-directions.
`String` | `getGluePoints()` Get value of attribute draw:glue-points.
`OdfGluePointType` | `getGluePointType()` Get value of attribute draw:glue-point-type.
`OdfBoolean` | `getMirrorHorizontal()` Get value of attribute draw:mirror-horizontal.
`OdfBoolean` | `getMirrorVertical()` Get value of attribute draw:mirror-vertical.
`String` | `getModifiers()` Get value of attribute draw:modifiers.
`OdfName` | `getOdfName()` Get the element name
`Double` | `getPathStretchpointX()` Get value of attribute draw:path-stretchpoint-x.
`Double` | `getPathStretchpointY()` Get value of attribute draw:path-stretchpoint-y.
`OdfProjectionType` | `getProjection()` Get value of attribute dr3d:projection.
`OdfShadeModeType` | `getShadeMode()` Get value of attribute dr3d:shade-mode.
`String` | `getTextAreas()` Get value of attribute draw:text-areas.
`OdfBoolean` | `getTextPath()` Get value of attribute draw:text-path.
`OdfBoolean` | `getTextPathAllowed()` Get value of attribute draw:text-path-allowed.
`OdfTextPathModeType` | `getTextPathMode()` Get value of attribute draw:text-path-mode.
`OdfBoolean` | `getTextPathSameLetterHeights()` Get value of attribute draw:text-path-same-letter-heights.
`OdfTextPathScaleType` | `getTextPathScale()` Get value of attribute draw:text-path-scale.
`String` | `getTextRotateAngle()` Get value of attribute draw:text-rotate-angle.
`String` | `getType()` Get value of attribute draw:type.
`Integer` | `getViewBox()` Get value of attribute svg:viewBox.
`void` | `setConcentricGradientFillAllowed(OdfBoolean isConcentricGradientFillAllowed)` Set value of attribute draw:concentric-gradient-fill-allowed.
`void` | `setEnhancedPath(String enhancedPath)` Set value of attribute draw:enhanced-path.
`void` | `setExtrusion(OdfBoolean isExtrusion)` Set value of attribute draw:extrusion.
`void` | `setExtrusionAllowed(OdfBoolean isExtrusionAllowed)` Set value of attribute draw:extrusion-allowed.
`void` | `setExtrusionBrightness(OdfPercent extrusionBrightness)` Set value of attribute draw:extrusion-brightness.
`void` | `setExtrusionColor(OdfBoolean isExtrusionColor)` Set value of attribute draw:extrusion-color.
`void` | `setExtrusionDepth(OdfLength extrusionDepth)` Set value of attribute draw:extrusion-depth.
`void` | `setExtrusionDiffusion(OdfPercent extrusionDiffusion)` Set value of attribute draw:extrusion-diffusion.
`void` | `setExtrusionFirstLightDirection(String extrusionFirstLightDirection)` Set value of attribute draw:extrusion-first-light-direction.
`void` | `setExtrusionFirstLightHarsh(OdfBoolean isExtrusionFirstLightHarsh)` Set value of attribute draw:extrusion-first-light-harsh.
`void` | `setExtrusionFirstLightLevel(OdfPercent extrusionFirstLightLevel)` Set value of attribute draw:extrusion-first-light-level.
`void` | `setExtrusionLightFace(OdfBoolean isExtrusionLightFace)` Set value of attribute draw:extrusion-light-face.
`void` | `setExtrusionMetal(OdfBoolean isExtrusionMetal)` Set value of attribute draw:extrusion-metal.
`void` | `setExtrusionNumberOfLineSegments(Integer extrusionNumberOfLineSegments)` Set value of attribute draw:extrusion-number-of-line-segments.
`void` | `setExtrusionOrigin(Double extrusionOrigin)` Set value of attribute draw:extrusion-origin.
`void` | `setExtrusionRotationAngle(String extrusionRotationAngle)` Set value of attribute draw:extrusion-rotation-angle.
`void` | `setExtrusionRotationCenter(String extrusionRotationCenter)` Set value of attribute draw:extrusion-rotation-center.
`void` | `setExtrusionSecondLightDirection(String extrusionSecondLightDirection)` Set value of attribute draw:extrusion-second-light-direction.
`void` | `setExtrusionSecondLightHarsh(OdfBoolean isExtrusionSecondLightHarsh)` Set value of attribute draw:extrusion-second-light-harsh.
`void` | `setExtrusionSecondLightLevel(OdfPercent extrusionSecondLightLevel)` Set value of attribute draw:extrusion-second-light-level.
`void` | `setExtrusionShininess(OdfPercent extrusionShininess)` Set value of attribute draw:extrusion-shininess.
`void` | `setExtrusionSkew(Double extrusionSkew)` Set value of attribute draw:extrusion-skew.
`void` | `setExtrusionSpecularity(OdfPercent extrusionSpecularity)` Set value of attribute draw:extrusion-specularity.
`void` | `setExtrusionViewpoint(String extrusionViewpoint)` Set value of attribute draw:extrusion-viewpoint.
`void` | `setGluePointLeavingDirections(String gluePointLeavingDirections)` Set value of attribute draw:glue-point-leaving-directions.
`void` | `setGluePoints(String gluePoints)` Set value of attribute draw:glue-points.
`void` | `setGluePointType(OdfGluePointType gluePointType)` Set value of attribute draw:glue-point-type.
`void` | `setMirrorHorizontal(OdfBoolean isMirrorHorizontal)` Set value of attribute draw:mirror-horizontal.
`void` | `setMirrorVertical(OdfBoolean isMirrorVertical)` Set value of attribute draw:mirror-vertical.
`void` | `setModifiers(String modifiers)` Set value of attribute draw:modifiers.
`void` | `setPathStretchpointX(Double pathStretchpointX)` Set value of attribute draw:path-stretchpoint-x.
`void` | `setPathStretchpointY(Double pathStretchpointY)` Set value of attribute draw:path-stretchpoint-y.
`void` | `setProjection(OdfProjectionType projection)` Set value of attribute dr3d:projection.
`void` | `setShadeMode(OdfShadeModeType shadeMode)` Set value of attribute dr3d:shade-mode.
`void` | `setTextAreas(String textAreas)` Set value of attribute draw:text-areas.
`void` | `setTextPath(OdfBoolean isTextPath)` Set value of attribute draw:text-path.
`void` | `setTextPathAllowed(OdfBoolean isTextPathAllowed)` Set value of attribute draw:text-path-allowed.
`void` | `setTextPathMode(OdfTextPathModeType textPathMode)` Set value of attribute draw:text-path-mode.
`void` | `setTextPathSameLetterHeights(OdfBoolean isTextPathSameLetterHeights)` Set value of attribute draw:text-path-same-letter-heights.
`void` | `setTextPathScale(OdfTextPathScaleType textPathScale)` Set value of attribute draw:text-path-scale.
`void` | `setTextRotateAngle(String textRotateAngle)` Set value of attribute draw:text-rotate-angle.
`void` | `setType(String type)` Set value of attribute draw:type.
`void` | `setViewBox(Integer viewBox)` Set value of attribute svg:viewBox.

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`cloneNode, equals, findFirstChildNode, findNextChildNode, findPreviousChildNode, getAncestorAs, getOdfAttribute, getParentAs, hasOdfAttribute, insertBefore, onInsertNode, onInsertNode, onRemoveNode, onRemoveNode, removeChild, replaceChild, setOdfAttribute, toString`

Methods inherited from class org.apache.xerces.dom.ElementNSImpl
`getBaseURI, getLocalName, getNamespaceURI, getPrefix, getTypeName, getTypeNamespace, isDerivedFrom, setPrefix, setType, setValues`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, item, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getNodeNumber, getNodeValue, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setUserData, setUserData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, compareDocumentPosition, getChildNodes, getFeature, getFirstChild, getLastChild, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, getTextContent, getUserData, hasChildNodes, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, setNodeValue, setTextContent, setUserData`

Field Detail

### ELEMENT_NAME

    public static final OdfName ELEMENT_NAME

Constructor Detail

### OdfEnhancedGeometryElement

    public OdfEnhancedGeometryElement(OdfFileDom aOwnerDoc)

  Create the instance of OdfEnhancedGeometryElement

  Parameters:
    `aOwnerDoc` - The type is OdfFileDom

Method Detail

### getOdfName

    public OdfName getOdfName()

  Get the element name

  Specified by:
    `getOdfName` in class `OdfElement`
  Returns:
    return the name of element draw:enhanced-geometry.

### getType

    public String getType()

  Get value of attribute draw:type.

  Returns:
    return the attribute which type is String

### setType

    public void setType(String type)

  Set value of attribute draw:type.

  Parameters:
    `type` - the attribute's type is String

### getViewBox

    public Integer getViewBox()

  Get value of attribute svg:viewBox.

  Returns:
    return the attribute which type is Integer

### setViewBox

    public void setViewBox(Integer viewBox)

  Set value of attribute svg:viewBox.

  Parameters:
    `viewBox` - the attribute's type is Integer

### getMirrorVertical

    public OdfBoolean getMirrorVertical()

  Get value of attribute draw:mirror-vertical.

  Returns:
    return the attribute which type is OdfBoolean

### setMirrorVertical

    public void setMirrorVertical(OdfBoolean isMirrorVertical)

  Set value of attribute draw:mirror-vertical.

  Parameters:
    `isMirrorVertical` - the attribute's type is OdfBoolean

### getMirrorHorizontal

    public OdfBoolean getMirrorHorizontal()

  Get value of attribute draw:mirror-horizontal.

  Returns:
    return the attribute which type is OdfBoolean

### setMirrorHorizontal

    public void setMirrorHorizontal(OdfBoolean isMirrorHorizontal)

  Set value of attribute draw:mirror-horizontal.

  Parameters:
    `isMirrorHorizontal` - the attribute's type is OdfBoolean

### getTextRotateAngle

    public String getTextRotateAngle()

  Get value of attribute draw:text-rotate-angle.

  Returns:
    return the attribute which type is String

### setTextRotateAngle

    public void setTextRotateAngle(String textRotateAngle)

  Set value of attribute draw:text-rotate-angle.

  Parameters:
    `textRotateAngle` - the attribute's type is String

### getExtrusionAllowed

    public OdfBoolean getExtrusionAllowed()

  Get value of attribute draw:extrusion-allowed.

  Returns:
    return the attribute which type is OdfBoolean

### setExtrusionAllowed

    public void setExtrusionAllowed(OdfBoolean isExtrusionAllowed)

  Set value of attribute draw:extrusion-allowed.

  Parameters:
    `isExtrusionAllowed` - the attribute's type is OdfBoolean

### getTextPathAllowed

    public OdfBoolean getTextPathAllowed()

  Get value of attribute draw:text-path-allowed.

  Returns:
    return the attribute which type is OdfBoolean

### setTextPathAllowed

    public void setTextPathAllowed(OdfBoolean isTextPathAllowed)

  Set value of attribute draw:text-path-allowed.

  Parameters:
    `isTextPathAllowed` - the attribute's type is OdfBoolean

### getConcentricGradientFillAllowed

    public OdfBoolean getConcentricGradientFillAllowed()

  Get value of attribute draw:concentric-gradient-fill-allowed.

  Returns:
    return the attribute which type is OdfBoolean

### setConcentricGradientFillAllowed

    public void setConcentricGradientFillAllowed(OdfBoolean isConcentricGradientFillAllowed)

  Set value of attribute draw:concentric-gradient-fill-allowed.

  Parameters:
    `isConcentricGradientFillAllowed` - the attribute's type is OdfBoolean

### getExtrusion

    public OdfBoolean getExtrusion()

  Get value of attribute draw:extrusion.

  Returns:
    return the attribute which type is OdfBoolean

### setExtrusion

    public void setExtrusion(OdfBoolean isExtrusion)

  Set value of attribute draw:extrusion.

  Parameters:
    `isExtrusion` - the attribute's type is OdfBoolean

### getExtrusionBrightness

    public OdfPercent getExtrusionBrightness()

  Get value of attribute draw:extrusion-brightness.

  Returns:
    return the attribute which type is OdfPercent

### setExtrusionBrightness

    public void setExtrusionBrightness(OdfPercent extrusionBrightness)

  Set value of attribute draw:extrusion-brightness.

  Parameters:
    `extrusionBrightness` - the attribute's type is OdfPercent

### getExtrusionDepth

    public OdfLength getExtrusionDepth()

  Get value of attribute draw:extrusion-depth.

  Returns:
    return the attribute which type is OdfLength

### setExtrusionDepth

    public void setExtrusionDepth(OdfLength extrusionDepth)

  Set value of attribute draw:extrusion-depth.

  Parameters:
    `extrusionDepth` - the attribute's type is OdfLength

### getExtrusionDiffusion

    public OdfPercent getExtrusionDiffusion()

  Get value of attribute draw:extrusion-diffusion.

  Returns:
    return the attribute which type is OdfPercent

### setExtrusionDiffusion

    public void setExtrusionDiffusion(OdfPercent extrusionDiffusion)

  Set value of attribute draw:extrusion-diffusion.

  Parameters:
    `extrusionDiffusion` - the attribute's type is OdfPercent

### getExtrusionNumberOfLineSegments

    public Integer getExtrusionNumberOfLineSegments()

  Get value of attribute draw:extrusion-number-of-line-segments.

  Returns:
    return the attribute which type is Integer

### setExtrusionNumberOfLineSegments

    public void setExtrusionNumberOfLineSegments(Integer extrusionNumberOfLineSegments)

  Set value of attribute draw:extrusion-number-of-line-segments.

  Parameters:
    `extrusionNumberOfLineSegments` - the attribute's type is Integer

### getExtrusionLightFace

    public OdfBoolean getExtrusionLightFace()

  Get value of attribute draw:extrusion-light-face.

  Returns:
    return the attribute which type is OdfBoolean

### setExtrusionLightFace

    public void setExtrusionLightFace(OdfBoolean isExtrusionLightFace)

  Set value of attribute draw:extrusion-light-face.

  Parameters:
    `isExtrusionLightFace` - the attribute's type is OdfBoolean

### getExtrusionFirstLightHarsh

    public OdfBoolean getExtrusionFirstLightHarsh()

  Get value of attribute draw:extrusion-first-light-harsh.

  Returns:
    return the attribute which type is OdfBoolean

### setExtrusionFirstLightHarsh

    public void setExtrusionFirstLightHarsh(OdfBoolean isExtrusionFirstLightHarsh)

  Set value of attribute draw:extrusion-first-light-harsh.

  Parameters:
    `isExtrusionFirstLightHarsh` - the attribute's type is OdfBoolean

### getExtrusionSecondLightHarsh

    public OdfBoolean getExtrusionSecondLightHarsh()

  Get value of attribute draw:extrusion-second-light-harsh.

  Returns:
    return the attribute which type is OdfBoolean

### setExtrusionSecondLightHarsh

    public void setExtrusionSecondLightHarsh(OdfBoolean isExtrusionSecondLightHarsh)

  Set value of attribute draw:extrusion-second-light-harsh.

  Parameters:
    `isExtrusionSecondLightHarsh` - the attribute's type is OdfBoolean

### getExtrusionFirstLightLevel

    public OdfPercent getExtrusionFirstLightLevel()

  Get value of attribute draw:extrusion-first-light-level.

  Returns:
    return the attribute which type is OdfPercent

### setExtrusionFirstLightLevel

    public void setExtrusionFirstLightLevel(OdfPercent extrusionFirstLightLevel)

  Set value of attribute draw:extrusion-first-light-level.

  Parameters:
    `extrusionFirstLightLevel` - the attribute's type is OdfPercent

### getExtrusionSecondLightLevel

    public OdfPercent getExtrusionSecondLightLevel()

  Get value of attribute draw:extrusion-second-light-level.

  Returns:
    return the attribute which type is OdfPercent

### setExtrusionSecondLightLevel

    public void setExtrusionSecondLightLevel(OdfPercent extrusionSecondLightLevel)

  Set value of attribute draw:extrusion-second-light-level.

  Parameters:
    `extrusionSecondLightLevel` - the attribute's type is OdfPercent

### getExtrusionFirstLightDirection

    public String getExtrusionFirstLightDirection()

  Get value of attribute draw:extrusion-first-light-direction.

  Returns:
    return the attribute which type is String

### setExtrusionFirstLightDirection

    public void setExtrusionFirstLightDirection(String extrusionFirstLightDirection)

  Set value of attribute draw:extrusion-first-light-direction.

  Parameters:
    `extrusionFirstLightDirection` - the attribute's type is String

### getExtrusionSecondLightDirection

    public String getExtrusionSecondLightDirection()

  Get value of attribute draw:extrusion-second-light-direction.

  Returns:
    return the attribute which type is String

### setExtrusionSecondLightDirection

    public void setExtrusionSecondLightDirection(String extrusionSecondLightDirection)

  Set value of attribute draw:extrusion-second-light-direction.

  Parameters:
    `extrusionSecondLightDirection` - the attribute's type is String

### getExtrusionMetal

    public OdfBoolean getExtrusionMetal()

  Get value of attribute draw:extrusion-metal.

  Returns:
    return the attribute which type is OdfBoolean

### setExtrusionMetal

    public void setExtrusionMetal(OdfBoolean isExtrusionMetal)

  Set value of attribute draw:extrusion-metal.

  Parameters:
    `isExtrusionMetal` - the attribute's type is OdfBoolean

### getShadeMode

    public OdfShadeModeType getShadeMode()

  Get value of attribute dr3d:shade-mode.

  Returns:
    return the attribute which type is OdfShadeModeType

### setShadeMode

    public void setShadeMode(OdfShadeModeType shadeMode)

  Set value of attribute dr3d:shade-mode.

  Parameters:
    `shadeMode` - the attribute's type is OdfShadeModeType

### getExtrusionRotationAngle

    public String getExtrusionRotationAngle()

  Get value of attribute draw:extrusion-rotation-angle.

  Returns:
    return the attribute which type is String

### setExtrusionRotationAngle

    public void setExtrusionRotationAngle(String extrusionRotationAngle)

  Set value of attribute draw:extrusion-rotation-angle.

  Parameters:
    `extrusionRotationAngle` - the attribute's type is String

### getExtrusionRotationCenter

    public String getExtrusionRotationCenter()

  Get value of attribute draw:extrusion-rotation-center.

  Returns:
    return the attribute which type is String

### setExtrusionRotationCenter

    public void setExtrusionRotationCenter(String extrusionRotationCenter)

  Set value of attribute draw:extrusion-rotation-center.

  Parameters:
    `extrusionRotationCenter` - the attribute's type is String

### getExtrusionShininess

    public OdfPercent getExtrusionShininess()

  Get value of attribute draw:extrusion-shininess.

  Returns:
    return the attribute which type is OdfPercent

### setExtrusionShininess

    public void setExtrusionShininess(OdfPercent extrusionShininess)

  Set value of attribute draw:extrusion-shininess.

  Parameters:
    `extrusionShininess` - the attribute's type is OdfPercent

### getExtrusionSkew

    public Double getExtrusionSkew()

  Get value of attribute draw:extrusion-skew.

  Returns:
    return the attribute which type is Double

### setExtrusionSkew

    public void setExtrusionSkew(Double extrusionSkew)

  Set value of attribute draw:extrusion-skew.

  Parameters:
    `extrusionSkew` - the attribute's type is Double

### getExtrusionSpecularity

    public OdfPercent getExtrusionSpecularity()

  Get value of attribute draw:extrusion-specularity.

  Returns:
    return the attribute which type is OdfPercent

### setExtrusionSpecularity

    public void setExtrusionSpecularity(OdfPercent extrusionSpecularity)

  Set value of attribute draw:extrusion-specularity.

  Parameters:
    `extrusionSpecularity` - the attribute's type is OdfPercent

### getProjection

    public OdfProjectionType getProjection()

  Get value of attribute dr3d:projection.

  Returns:
    return the attribute which type is OdfProjectionType

### setProjection

    public void setProjection(OdfProjectionType projection)

  Set value of attribute dr3d:projection.

  Parameters:
    `projection` - the attribute's type is OdfProjectionType

### getExtrusionViewpoint

    public String getExtrusionViewpoint()

  Get value of attribute draw:extrusion-viewpoint.

  Returns:
    return the attribute which type is String

### setExtrusionViewpoint

    public void setExtrusionViewpoint(String extrusionViewpoint)

  Set value of attribute draw:extrusion-viewpoint.

  Parameters:
    `extrusionViewpoint` - the attribute's type is String

### getExtrusionOrigin

    public Double getExtrusionOrigin()

  Get value of attribute draw:extrusion-origin.

  Returns:
    return the attribute which type is Double

### setExtrusionOrigin

    public void setExtrusionOrigin(Double extrusionOrigin)

  Set value of attribute draw:extrusion-origin.

  Parameters:
    `extrusionOrigin` - the attribute's type is Double

### getExtrusionColor

    public OdfBoolean getExtrusionColor()

  Get value of attribute draw:extrusion-color.

  Returns:
    return the attribute which type is OdfBoolean

### setExtrusionColor

    public void setExtrusionColor(OdfBoolean isExtrusionColor)

  Set value of attribute draw:extrusion-color.

  Parameters:
    `isExtrusionColor` - the attribute's type is OdfBoolean

### getEnhancedPath

    public String getEnhancedPath()

  Get value of attribute draw:enhanced-path.

  Returns:
    return the attribute which type is String

### setEnhancedPath

    public void setEnhancedPath(String enhancedPath)

  Set value of attribute draw:enhanced-path.

  Parameters:
    `enhancedPath` - the attribute's type is String

### getPathStretchpointX

    public Double getPathStretchpointX()

  Get value of attribute draw:path-stretchpoint-x.

  Returns:
    return the attribute which type is Double

### setPathStretchpointX

    public void setPathStretchpointX(Double pathStretchpointX)

  Set value of attribute draw:path-stretchpoint-x.

  Parameters:
    `pathStretchpointX` - the attribute's type is Double

### getPathStretchpointY

    public Double getPathStretchpointY()

  Get value of attribute draw:path-stretchpoint-y.

  Returns:
    return the attribute which type is Double

### setPathStretchpointY

    public void setPathStretchpointY(Double pathStretchpointY)

  Set value of attribute draw:path-stretchpoint-y.

  Parameters:
    `pathStretchpointY` - the attribute's type is Double

### getTextAreas

    public String getTextAreas()

  Get value of attribute draw:text-areas.

  Returns:
    return the attribute which type is String

### setTextAreas

    public void setTextAreas(String textAreas)

  Set value of attribute draw:text-areas.

  Parameters:
    `textAreas` - the attribute's type is String

### getGluePoints

    public String getGluePoints()

  Get value of attribute draw:glue-points.

  Returns:
    return the attribute which type is String

### setGluePoints

    public void setGluePoints(String gluePoints)

  Set value of attribute draw:glue-points.

  Parameters:
    `gluePoints` - the attribute's type is String

### getGluePointType

    public OdfGluePointType getGluePointType()

  Get value of attribute draw:glue-point-type.

  Returns:
    return the attribute which type is OdfGluePointType

### setGluePointType

    public void setGluePointType(OdfGluePointType gluePointType)

  Set value of attribute draw:glue-point-type.

  Parameters:
    `gluePointType` - the attribute's type is OdfGluePointType

### getGluePointLeavingDirections

    public String getGluePointLeavingDirections()

  Get value of attribute draw:glue-point-leaving-directions.

  Returns:
    return the attribute which type is String

### setGluePointLeavingDirections

    public void setGluePointLeavingDirections(String gluePointLeavingDirections)

  Set value of attribute draw:glue-point-leaving-directions.

  Parameters:
    `gluePointLeavingDirections` - the attribute's type is String

### getTextPath

    public OdfBoolean getTextPath()

  Get value of attribute draw:text-path.

  Returns:
    return the attribute which type is OdfBoolean

### setTextPath

    public void setTextPath(OdfBoolean isTextPath)

  Set value of attribute draw:text-path.

  Parameters:
    `isTextPath` - the attribute's type is OdfBoolean

### getTextPathMode

    public OdfTextPathModeType getTextPathMode()

  Get value of attribute draw:text-path-mode.

  Returns:
    return the attribute which type is OdfTextPathModeType

### setTextPathMode

    public void setTextPathMode(OdfTextPathModeType textPathMode)

  Set value of attribute draw:text-path-mode.

  Parameters:
    `textPathMode` - the attribute's type is OdfTextPathModeType

### getTextPathScale

    public OdfTextPathScaleType getTextPathScale()

  Get value of attribute draw:text-path-scale.

  Returns:
    return the attribute which type is OdfTextPathScaleType

### setTextPathScale

    public void setTextPathScale(OdfTextPathScaleType textPathScale)

  Set value of attribute draw:text-path-scale.

  Parameters:
    `textPathScale` - the attribute's type is OdfTextPathScaleType

### getTextPathSameLetterHeights

    public OdfBoolean getTextPathSameLetterHeights()

  Get value of attribute draw:text-path-same-letter-heights.

  Returns:
    return the attribute which type is OdfBoolean

### setTextPathSameLetterHeights

    public void setTextPathSameLetterHeights(OdfBoolean isTextPathSameLetterHeights)

  Set value of attribute draw:text-path-same-letter-heights.

  Parameters:
    `isTextPathSameLetterHeights` - the attribute's type is OdfBoolean

### getModifiers

    public String getModifiers()

  Get value of attribute draw:modifiers.

  Returns:
    return the attribute which type is String

### setModifiers

    public void setModifiers(String modifiers)

  Set value of attribute draw:modifiers.

  Parameters:
    `modifiers` - the attribute's type is String

### createEquationElement

    public OdfEquationElement createEquationElement()

  Create child element draw:equation.

  Returns:
    return the element draw:equation

### createHandleElement

    public OdfHandleElement createHandleElement(String handlePosition)

  Create child element draw:handle.

  Parameters:
    `handlePosition` - String
  Returns:
    return the element draw:handle

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.